#!/usr/bin/env python

import sys

import ogsadai

import ZSI

from ZSI.wstools.logging import setBasicLoggerDEBUG
#setBasicLoggerDEBUG()

#url = "https://imec.grid:8443/wsrf/services/ogsadai/DataService"
url = "http://imec.grid:8080/wsrf/services/ogsadai/DataService"

epr = ogsadai.EPRWrap("FIC-M")
epr.To = url

pt = ogsadai.ds.DataServicePortTypeSOAPBindingSOAP(url, tracefile = sys.stderr, endPointReference=epr, wsAddressURI=ogsadai.wsauri)
	#transdict={'cert_file':'/tmp/x509up_u1001', 'key_file':'/tmp/x509up_u1001'})
	#cert_file='/home/psha/.globus/usercert.pem', key_file='/home/psha/.globus/userkey.pem')

req = ogsadai.ds.PerformInputMessage()
req.PerformDocument = req.new_performDocument()

sql = ogsadai.SQLQuery("sql-name", query = "SELECT 1 FROM dual")
r2x = ogsadai.SQL2XML("r2x-name", chain = sql)

req.PerformDocument.Any = ogsadai.PerformWrap()
req.PerformDocument.Any.Activity = [sql.soap(), r2x.soap()]


if __name__ == "__main__":
	pt.perform(req)
